#
# spec file for package python-cerealizer
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname Cerealizer

Name:           python-cerealizer
Version:        0.8.1
Release:        14.1
Summary:        A secure pickle-like module
License:        Python-2.0
Group:          Development/Libraries/Python
Url:            http://pypi.python.org/pypi/Cerealizer
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
A secure pickle-like module. It support basic types (int, string, unicode,
tuple, list, dict, set,...), old and new-style classes (you need to register
the class for security), object cycles, and it can be extended to support
C-defined type.

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README
%{python_sitelib}/*

%changelog
* Thu Sep  3 2015 toddrme2178@gmail.com
- Shouldn't be noarch in SLE 11
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jan 11 2013 p.drouand@gmail.com
- Update to 0.8.1 version:
  * Add python3 support
* Wed Nov 10 2010 coolo@novell.com
- fix file list
* Tue Jun 22 2010 hvogel@novell.com
- Initial Package, Version 0.7
